> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/identity-and-access-management-iam/notification-subscriptions.md).

# Notification Subscriptions

Operations related to Notification Subscriptions for managing user subscriptions to platform event notifications (import status, campaign performance, etc.).

## GET /me/subscriptions

> Find all the subscriptions of a user for any type of notifications

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Notification Subscriptions","description":"Operations related to Notification Subscriptions for managing user subscriptions to platform event notifications (import status, campaign performance, etc.)."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/me/subscriptions":{"get":{"tags":["Notification Subscriptions"],"parameters":[{"explode":true,"name":"topic","schema":{"type":"string"},"description":"Topic related to the subscription","required":false,"in":"query","style":"form"},{"name":"organisation_id","in":"query","schema":{"type":"string"},"required":false,"explode":true,"description":"The ID of the organisation for which the subscription is","style":"form"},{"schema":{"type":"integer","format":"int32"},"description":"Offset from which the search must be performed","style":"form","name":"first_result","required":false,"in":"query","explode":true},{"schema":{"type":"integer","format":"int32"},"description":"Number of maximum items that shall be return by this search","required":false,"in":"query","style":"form","explode":true,"name":"max_results"}],"description":"","operationId":"getNotificationsSubscriptions","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/NotificationsSubscriptionResource"}},"count":{"type":"integer"},"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"first_result":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Find all the subscriptions of a user for any type of notifications"}}},"components":{"schemas":{"NotificationsSubscriptionResource":{"type":"object","properties":{"include_sub_organisation":{"type":"boolean","default":false,"readOnly":false},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"user_id":{"type":"string","readOnly":false},"topic":{"$ref":"#/components/schemas/UserNotificationEnum"}},"required":["id","include_sub_organisation","organisation_id","topic","user_id"]},"UserNotificationEnum":{"type":"string","enum":["DOCUMENT_IMPORT_SUCCESS","DOCUMENT_IMPORT_ERROR","DOCUMENT_IMPORT_FAILURE","DOCUMENT_IMPORT_RUNNING"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /me/subscriptions

> Create a subscription for a specific type of notifications

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Notification Subscriptions","description":"Operations related to Notification Subscriptions for managing user subscriptions to platform event notifications (import status, campaign performance, etc.)."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/me/subscriptions":{"post":{"tags":["Notification Subscriptions"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/NotificationsSubscriptionResource"}},"total":{"type":"integer"},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Create a subscription for a specific type of notifications","requestBody":{"description":"The notifications subscription to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationsSubscriptionResource"}}},"required":true},"operationId":"createNotificationsSubscription"}}},"components":{"schemas":{"NotificationsSubscriptionResource":{"type":"object","properties":{"include_sub_organisation":{"type":"boolean","default":false,"readOnly":false},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"user_id":{"type":"string","readOnly":false},"topic":{"$ref":"#/components/schemas/UserNotificationEnum"}},"required":["id","include_sub_organisation","organisation_id","topic","user_id"]},"UserNotificationEnum":{"type":"string","enum":["DOCUMENT_IMPORT_SUCCESS","DOCUMENT_IMPORT_ERROR","DOCUMENT_IMPORT_FAILURE","DOCUMENT_IMPORT_RUNNING"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /me/subscriptions/{subscription\_id}

> Find a subscription based on its id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Notification Subscriptions","description":"Operations related to Notification Subscriptions for managing user subscriptions to platform event notifications (import status, campaign performance, etc.)."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/me/subscriptions/{subscription_id}":{"get":{"operationId":"getNotificationsSubscription","parameters":[{"description":"The id of the subscription we are looking for","required":true,"in":"path","name":"subscription_id","style":"simple","schema":{"type":"string"},"explode":false}],"description":"","summary":"Find a subscription based on its id","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/NotificationsSubscriptionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Notification Subscriptions"]}}},"components":{"schemas":{"NotificationsSubscriptionResource":{"type":"object","properties":{"include_sub_organisation":{"type":"boolean","default":false,"readOnly":false},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"user_id":{"type":"string","readOnly":false},"topic":{"$ref":"#/components/schemas/UserNotificationEnum"}},"required":["id","include_sub_organisation","organisation_id","topic","user_id"]},"UserNotificationEnum":{"type":"string","enum":["DOCUMENT_IMPORT_SUCCESS","DOCUMENT_IMPORT_ERROR","DOCUMENT_IMPORT_FAILURE","DOCUMENT_IMPORT_RUNNING"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /me/subscriptions/{subscription\_id}

> Delete a subscription

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Notification Subscriptions","description":"Operations related to Notification Subscriptions for managing user subscriptions to platform event notifications (import status, campaign performance, etc.)."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/me/subscriptions/{subscription_id}":{"delete":{"parameters":[{"description":"The id of the subscription we are looking for","schema":{"type":"string"},"in":"path","explode":false,"name":"subscription_id","style":"simple","required":true}],"description":"","tags":["Notification Subscriptions"],"operationId":"deleteNotificationsSubscription","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Delete a subscription"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/identity-and-access-management-iam/notification-subscriptions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
